Page MenuHomePhabricator

Section indicators are not aligned
Closed, ResolvedPublic1 Estimated Story Points

Description

The toggle arrows should align with the left scan-line (see screenshot) of the layout.

currently there is a 10px gap due to margin on both sides of the chevron

What is it currently

What is expected

on RTL languages, the chevron should align on the right side

Developer notes

Note that mw-ui-icon adds this margin so you may need to employ a negative margin to combat this. This value is exposed in @iconGutterWidth.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2017, 8:19 PM
Jdlrobson triaged this task as Medium priority.May 10 2017, 3:21 PM
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson added a project: patch-welcome.
Jdlrobson updated the task description. (Show Details)May 16 2017, 3:12 PM
ovasileva set the point value for this task to 1.May 16 2017, 3:13 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 17 2017, 5:39 PM

Change 354150 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/extensions/MobileFrontend@master] Vertical-align heading indicator with page content

https://gerrit.wikimedia.org/r/354150

Change 354150 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Vertical-align heading indicator with page content

https://gerrit.wikimedia.org/r/354150

phuedx reassigned this task from bmansurov to ABorbaWMF.May 18 2017, 9:40 AM
phuedx added subscribers: ABorbaWMF, bmansurov, phuedx.

@ABorbaWMF: Could you check the alignment of chevrons on a variety of Grade A ("modern") browsers?

Tested on Beta. It looks pretty good. Here are some examples of Grade A browsers:

phuedx reassigned this task from ABorbaWMF to Nirzar.May 18 2017, 5:11 PM

@Nirzar: This should be available to test on the Beta Cluster.

Jdlrobson closed this task as Resolved.May 19 2017, 1:04 PM